<!DOCTYPE html>
<html lang="zxx" class="js">

    <head>
        <meta charset="utf-8">
        <meta name="author" content="Softnio">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="description" content="Program">
        <!-- Page Title  -->
        <title>Companion | Toulouse Compans</title>
        <!-- StyleSheets  -->
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    </head>

    <style>
        body, html {
            font-family: 'Montserrat', sans-serif;
        }

        .text-center {
            text-align: center;
        }

        .sub-text-heading {
            font-weight: 400;
        }

        .table {
            border-collapse: collapse;
            width: 100%;
        }

        .table td, .table th {
            border: 1px solid #dddddd;
            padding: 8px;
            text-align: center;
        }

        #main{
            margin-top: 55px !important;
        }

        #area:not(:last-child) {
            page-break-after: always;
        }

        #area:not(:first-child){
            padding-top: 40px;
        }

    </style>

    <body>
        <header>
            <h1 class="text-center">Toulouse Compans</h1>
            <h2 class="text-center sub-text-heading">Historique des territoires</h2>
        </header>

        <div id="main">
            {% for area in areas %}
                <div id="area">
                    <h3>{{ area.title }}</h3>
                    <table class="table">
                        <thead>
                            <th></th>
                            <th>Sortie</th>
                            <th>Entrée</th>
                            <th>Sortie</th>
                            <th>Entrée</th>
                            <th>Sortie</th>
                            <th>Entrée</th>
                        </thead>
                        <tbody>
                        {% for territory in area.territories %}
                            <tr>
                                <td>{{ area.title|upper }}-{{ territory.title }}</td>
                                {% for history in territory.histories %}
                                    <td>{{ history.outDate|date('d/m/y') }}</td>
                                  {% if history.inDate is not null %}
                                    <td>{{ history.inDate|date('d/m/y') }}</td>
                                    {% else %}
                                    <td></td>
                                  {% endif %}
                                {% endfor %}
                                {% if territory.histories|length is same as 2 %}
                                  <td></td>
                                  <td></td>
                                {% endif %}
                                {% if territory.histories|length is same as 1 %}
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                {% endif %}
                                {% if territory.histories|length is same as 0 %}
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% endfor %}
        </div>
    </body>

</html>
